ACOSH(3)

NAME
acosh, acoshf, acoshl - inverse hyperbolic cosine function

SYNOPSIS
#include <math.h>

double acosh(double x);
float acoshf(float x);
long double acoshl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

acosh():
    _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 500 || _XOPEN_SOURCE && _XOPEN_SOURCE_EXTENDED || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99
acoshf(), acoshl():
    _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99

DESCRIPTION
The acosh() function calculates the inverse hyperbolic cosine of x; that is the value whose hyperbolic cosine is x.

RETURN VALUE
On success, these functions return the inverse hyperbolic cosine of x. If x is a NaN, a NaN is returned. If x is +1, +0 is returned. If x is positive infinity, positive infinity is returned. If x is less than 1, a domain error occurs, and the functions return a NaN.

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions.

The following errors can occur:

Domain error: x is less than 1
    errno is set to EDOM. An invalid floating-point exception (FE_INVALID) is raised.

CONFORMING TO
C99, POSIX.1-2001. The variant returning double also conforms to SVr4, 4.3BSD, C89.

SEE ALSO
asinh(3), atanh(3), cacosh(3), cosh(3), sinh(3), tanh(3)

COLOPHON
This page is part of release 3.57 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.